#!/usr/bin/env bash

# Run the Intel SGX enabled process
sudo wget https://github.com/Phala-Network/sgx-tools/releases/download/0.1/sgx_enable
sudo chmod +x sgx_enable
sudo ./sgx_enable

# Install Linux Intel SGX DACP
sudo apt-get update && sudo apt-get install dkms -y
sudo wget https://download.01.org/intel-sgx/latest/dcap-latest/linux/distro/ubuntu18.04-server/sgx_linux_x64_driver_1.41.bin
sudo chmod +x sgx_linux_x64_driver_1.41.bin
sudo ./sgx_linux_x64_driver_1.41.bin

# Install Intel SGX SDK driver
wget https://download.01.org/intel-sgx/sgx-dcap/1.10/linux/distro/ubuntu18.04-server/sgx_linux_x64_sdk_2.13.100.4.bin
sudo chmod +x sgx_linux_x64_sdk_2.13.100.4.bin
sudo ./sgx_linux_x64_sdk_2.13.100.4.bin

# Add sdk to system path 
source /opt/intel/sgxsdk/environment
sudo reboot
