#!/usr/bin/env bash

# Install Openssl & git & Needed Package
sudo apt-get install openssl git libssl-dev automake libssl-dev libcurl4-openssl-dev libprotobuf-dev -y

# Install Platform software(PSW)
echo 'deb [arch=amd64] https://download.01.org/intel-sgx/sgx_repo/ubuntu bionic main' | sudo tee /etc/apt/sources.list.d/intel-sgx.list
wget -qO - https://download.01.org/intel-sgx/sgx_repo/ubuntu/intel-sgx-deb.key | sudo apt-key add -
sudo apt-get update
sudo apt-get install libsgx-launch libsgx-urts -y
sudo apt-get install libsgx-epid libsgx-urts -y
sudo apt-get install libsgx-quote-ex libsgx-urts -y
sudo apt-get install libsgx-uae-service

# Download Intel-sgx-ra-sample Directory 
git clone https://github.com/intel/sgx-ra-sample.git
cd sgx-ra-sample
wget https://certificates.trustedservices.intel.com/Intel_SGX_Attestation_RootCA.pem
./bootstrap && ./configure && make
